apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Values.deployment.name }}
  labels:
    app: {{ .Values.deployment.name }}
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      app: {{ .Values.deployment.name }}
  template:
    metadata:
      labels:
        app: {{ .Values.deployment.name }}
    spec:
      containers:
        - name: {{ .Values.deployment.name }}
          image: {{ .Values.image.repository }}
          ports:
            - containerPort: {{ .Values.service.port}}
          env:
            - name: DB_HOST
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: database_url
            - name: DB_PORT
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: database_port
            - name: DB_USERNAME
              valueFrom:
                secretKeyRef:
                  name: mongodb-secret
                  key: mongo-root-username
            - name: DB_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: mongodb-secret
                  key: mongo-root-password
            - name: BACKEND_URL
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: backend_url
            - name: ISSUER_URI
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: issuer_v3_url
            - name: AUTH_URI
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: auth_server_v3_url
            - name: DOMAIN
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: EBSI_ENV_DOMAIN
            - name: ISSUER_KID
              valueFrom:
                secretKeyRef:
                  name: mongodb-secret
                  key: ISSUER_KID
            - name: PDA1_CREDENTIAL_SCHEMA_ID
              value: z5qB8tydkn3Xk3VXb15SJ9dAWW6wky1YEoVdGzudWzhcW
            - name: AUTH_PRIVATE_KEY
              valueFrom:
                secretKeyRef:
                  name: mongodb-secret
                  key: AUTH_PRIVATE_KEY
            - name: VERSION
              value: {{ .Values.deployment.version }}
            - name: PDA_MANAGEMENT_URL
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: pda_management_url
            - name: ISSUER_WALLET_URL
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: issuer_wallet_url
            - name: IDP
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: IDP
            - name: IDP_REALM
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: IDP_REALM
            - name: CLIENT_ID
              value: issuer-revocation
            - name: CLIENT_SECRET
              valueFrom:
                secretKeyRef:
                  name: mongodb-secret
                  key: ISSUER_REVOCATION_CLIENT_SECRET
            - name: IDP_USERNAME
              value: issuer_revocation
            - name: IDP_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: mongodb-secret
                  key: ISSUER_REVOCATION_IDP_PASSWORD
